Skip to content
extensions / Commerce extension
GET/api/projects/{project_id}/sales/orders/shipments/rules

List Shipment Rules

Returns the resolved shipment automation rule settings for the target project.

GETPUT

Authentication

Requirement
Required
Credential type
Bearer API key
Scopes
Not specified

Permissions

  • Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.

Headers

NameRequiredTypeDetails
AuthorizationYesNot specified
Description: Bearer credential used to authenticate the request.

Path Parameters

NameRequiredTypeDetails
project_idYesNot specified
Description: Target project identifier.

Query Parameters

Request Body

Response Body

Example 200 response

json
{
  "require_paid": "string",
  "allowed_order_statuses": [],
  "block_canceled": "string",
  "block_fraud_review": "string",
  "require_physical_item": "string",
  "prevent_if_fully_shipped": "string",
  "require_stock_reservation": "string",
  "require_admin_approval": "string",
  "auto_create_on_payment": "string",
  "carrier_restrictions": [],
  "warehouse_restrictions": []
}

Errors

500 internal_server_error

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified